apiVersion: v1
kind: ConfigMap
metadata:
  name: cube-api-schema-configmap

data:
  BicyclecountersDirections.js: "cube(`bikes_directions`, {\n  sql: `SELECT id, vendor_id,
    locations_id, name FROM bicycle_counters.bicyclecounters_directions`,\n  \n  preAggregations:
    {\n    // Pre-Aggregations definitions go here\n    // Learn more here: https://cube.dev/docs/caching/pre-aggregations/getting-started
    \ \n  },\n  \n  joins: {\n    \n  },\n  \n  measures: {\n  },\n  \n  dimensions:
    {\n    id: {\n      sql: `id`,\n      type: `string`,\n      primaryKey: true\n
    \   },\n    \n    vendor_id: {\n      sql: `vendor_id`,\n      type: `string`\n
    \   },\n    \n    locations_id: {\n      sql: `locations_id`,\n      type: `string`\n
    \   },\n    \n    name: {\n      sql: `name`,\n      type: `string`\n    }    \n
    \ },\n  \n  dataSource: `default`\n});\n"
  BicyclecountersHistoryCubeJoins.js: "cube(`bikes_history_full`, {\n  sql: `SELECT
    \n          to_timestamp((measured_from / 1000))::date as measured_from,\n          locations_id,\n
    \         directions_id,\n          sum(value) as value \n        from bicycle_counters.bicyclecounters_detections\n
    \       group by\n          to_timestamp((measured_from / 1000))::date,\n          locations_id,\n
    \         directions_id`,\n  preAggregations: {\n    daily_wjoin: {\n      measures:
    [CUBE.detections_sum_cube],\n      dimensions: [bikes_locations.name, bikes_locations.lat,
    bikes_locations.lng, bikes_locations.route, CUBE.year, CUBE.month, CUBE.day, CUBE.weekend],\n
    \     timeDimension: CUBE.measured_from,\n      granularity: `day`,\n      partitionGranularity:
    `month`,\n      refreshKey: {\n        every: `1 day`,\n        incremental: true,\n
    \     }\n    },\n  },\n\n  joins: {\n    bikes_locations: {\n      relationship:
    `belongsTo`,\n      sql: `${CUBE.locations_id} = ${bikes_locations.id}`,\n    },\n
    \   bikes_directions: {\n      relationship: `belongsTo`,\n      sql: `${CUBE.directions_id}
    = ${bikes_directions.id}`,\n    }\n  },\n  \n  measures: {\n    count: {\n      type:
    `count`\n    },\n    \n    detections_sum_cube: {\n      sql: `value`,\n      type:
    `sum`\n    }\n  },\n  \n  dimensions: {\n    id: {\n      sql: `${CUBE}.measured_from
    || '-' || ${CUBE}.locations_id || '-' || ${CUBE}.directions_id`,\n      type: `string`,\n
    \     primaryKey: true,\n    },\n    measured_from: {\n      sql: `measured_from`,\n
    \     type: `time`\n    },\n\n    day: {\n      sql: `date_part('day', measured_from)`,\n
    \     type: `number`\n    },\n    month: {\n      sql: `date_part('month', measured_from)`,\n
    \     type: `number`\n    },\n\n    year: {\n      sql: `date_part('year', measured_from)`,\n
    \     type: `number`\n    },\n\n    weekend: {\n      sql: `case when date_part('isodow',
    measured_from) in (6, 7) then 'weekend' else 'workday' end`,\n      type: `string`\n
    \   },\n\n    locations_id: {\n      sql: `locations_id`,\n      type: `string`\n
    \   },\n\n    directions_id: {\n      sql: `directions_id`,\n      type: `string`\n
    \   }\n  },\n  \n  dataSource: `default`\n});\n"
  BicyclecountersLocations.js: "cube(`bikes_locations`, {\n  sql: `SELECT id, name,
    vendor_id, route, lat, lng FROM bicycle_counters.bicyclecounters_locations`,\n  \n
    \ preAggregations: {\n    // Pre-Aggregations definitions go here\n    // Learn
    more here: https://cube.dev/docs/caching/pre-aggregations/getting-started  \n  },\n
    \ \n  joins: {\n    \n  },\n  \n  measures: {\n    count_loc: {\n      type: `count`\n
    \   }\n  },\n  \n  dimensions: {  \n    id: {\n      sql: `id`,\n      type: `string`,\n
    \     primaryKey: true\n    },\n    \n    name: {\n      sql: `name`,\n      type:
    `string`\n    },\n\n    vendor_id: {\n      sql: `vendor_id`,\n      type: `string`\n
    \   },\n    \n    route: {\n      sql: `replace(route, ' ', '')`,\n      type: `string`\n
    \   },\n\n    lat: {\n      sql: `lat`,\n      type: `number`\n    },\n    \n    lng:
    {\n      sql: `lng`,\n      type: `number`\n    }\n  },\n  \n  dataSource: `default`\n});\n"
